<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="google-signin-client_id" content="15080929141-u3an762jr1g6hg8ha1iapav3gn65e617.apps.googleusercontent.com">
    
    <meta name="referrer" content="no-referrer-when-downgrade" />

    <title>Login</title>
</head>
<body>
    <script src="https://apis.google.com/js/platform.js" async defer></script>

    <div class="g-signin2" data-onsuccess="onSignIn"></div>

    <!-- <a href="#" onclick="signOut();">Sign out</a> -->
    <script>
    console.log("login loaded");

    function signOut() {
        var auth2 = gapi.auth2.getAuthInstance();
        auth2.signOut().then(function () {
        console.log('User signed out.');
        });
    }
    </script>

    <script>


    function onSignIn(googleUser) {
        console.log("login succes");

        var profile = googleUser.getBasicProfile();
        console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
        console.log('Name: ' + profile.getName());
        console.log('Image URL: ' + profile.getImageUrl());
        console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.

        var id_token = googleUser.getAuthResponse().id_token;
        console.log(id_token);

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '/login');
        xhr.setRequestHeader('Content-Type', 'application/json');
        xhr.onload = function() {
            console.log('Signed in as: ' + xhr.responseText);
            if(xhr.responseText == 'success'){
                signOut();
                location.assign('/profile')
            }
        };
        xhr.send(JSON.stringify({token : id_token}));
      }
    </script>
    
</body>
</html>